import numpy as np
import cv2

bgra = cv2.imread("../MagnoliaAlpha-0.5.png",cv2.IMREAD_UNCHANGED) # from http://www.libpng.org/pub/png/png-MagnoliaAlpha.html
b,g,r,a = cv2.split(bgra)
foreground = cv2.merge((b,g,r))
alpha = cv2.merge((a,a,a))

w = np.zeros(alpha.shape,np.float32)
w[alpha > 230] = 1

background = cv2.imread("../Seaside.png",cv2.IMREAD_COLOR)
cv2.imshow("blended",background)
cv2.waitKey(0)

foreground = np.asarray(foreground,np.float32)
background = np.asarray(background,np.float32)
blended = w*foreground + (1-w)*background
blended = np.asarray(blended,np.uint8)

cv2.imshow("blended",blended)
cv2.waitKey(0)
cv2.destroyAllWindows()

cv2.imwrite("blended.png",blended)
