#include "opencv2/opencv.hpp"

int main (int argc, char *argv[])
{
    cv::Mat foreground = cv::imread("../Airplane.png",cv::IMREAD_COLOR); 
    if (foreground.empty()) return -1;
    cv::Mat background = cv::imread("../Seaside.png",cv::IMREAD_COLOR); 
    if (background.empty()) return -1;

    std::vector<cv::Point> polygon;
    polygon.push_back(cv::Point(2,55));
    polygon.push_back(cv::Point(14,41));
    polygon.push_back(cv::Point(180,31));
    polygon.push_back(cv::Point(199,62));
    polygon.push_back(cv::Point(171,88));
    polygon.push_back(cv::Point(17,81));

    cv::Mat mask(foreground.size(),CV_8UC1,cv::Scalar(0));
    cv::fillPoly(mask,std::vector<std::vector<cv::Point>>{polygon},cv::Scalar(255));

    cv::Point pivot(470,70);
    //cv::Point pivot(400,140);

    cv::Mat cloned;
    cv::seamlessClone(foreground, background, mask, pivot, cloned, cv::NORMAL_CLONE);
    //cv::seamlessClone(foreground, background, mask, pivot, cloned, cv::MIXED_CLONE);

    cv::imshow("Seamless Cloning",background);
    cv::waitKey(0);
    cv::imshow("Seamless Cloning",cloned);
    cv::waitKey(0);
    cv::destroyAllWindows();
    cv::imwrite("cloned.png",cloned);
	return 0;
}



